## fenrir 1.9.8

=== requirements.txt ===
evdev>=1.1.2
daemonize>=2.5.0
dbus-python>=1.2.8
pyudev>=0.21.0
pexpect
pyttsx3
pyte>=0.7.0

## fenrir 1.06

=== debian/changelog ===
fenrir (1.06-1) unstable; urgency=medium

  * New upstream release.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.0.1.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Aug 2017 20:43:29 +0200

fenrir (1.05-1) unstable; urgency=medium

  * Initial release (Closes: Bug#857882).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 16 Mar 2017 02:34:16 +0100

=== debian/control ===
Source: fenrir
Section: admin
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
Build-Depends: debhelper (>= 10), dh-python, python3:any, dh-exec
Standards-Version: 4.0.1

Package: fenrir
Architecture: all
Depends: ${misc:Depends}, python3, python3-daemonize, python3-xdg,
Recommends: speech-dispatcher, python-speechd, sox, python3-pyenchant
Suggests: python3-espeak, python3-brlapi, python3-gi, python3-gst-1.0
Description: Userland console (TTY) screen reader written in python
 Fenrir is a young but powerful, modular and flexible console screen
 reader. It has a lot of functionality:
 .
 e* spellchecker
  * advanced review functionality
  * copy/paste
  * multiple clipboards
  * not in kernel space
  * echo: word, char and deletion
  * date/ time announcement
  * script key (add functionality via bash and let fenrir read the output)
  * window mode
  * highlight tracking mode
  * easy to extent, plugin architecture
  * promoted words (hear a sound if your name is spoken in IRC)
  * periodic time announcement
  * everything configurable
  * per app scripts
  * emoji replacement :) = smile
  * user defined dictionary
  * multiple keyboard layouts
  * sound icons themes

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3

override_dh_install:
	dh_install
	sed -i -e '1s_#!/bin/python_#!/usr/bin/python3_' $$(find debian/fenrir -name \*.py)
	chmod -x $$(find debian/fenrir -name \*.py)
	chmod +x debian/fenrir/usr/lib/fenrir/fenrir-daemon

=== debian/watch ===
version=3
https://github.com/chrys87/fenrir/releases .*/v?(\d\S*)\.tar\.gz

## fenrir 1.06%2Breally1.5.1

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
 Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
-Build-Depends: debhelper (>= 10), dh-python, python3:any, dh-exec
-Standards-Version: 4.0.1
+Build-Depends: debhelper (>= 10), dh-python, python3-all:any, dh-exec, python3-setuptools
+Standards-Version: 4.1.1
 
 Package: fenrir
 Architecture: all
-Depends: ${misc:Depends}, python3, python3-daemonize, python3-xdg,
-Recommends: speech-dispatcher, python-speechd, sox, python3-pyenchant
+Depends: ${misc:Depends}, ${python3:Depends}, python3-xdg, python3-dbus, python3-evdev, python3-daemonize (>= 2.4.7~)
+Recommends: speech-dispatcher, python3-speechd, sox, python3-pyenchant
 Suggests: python3-espeak, python3-brlapi, python3-gi, python3-gst-1.0
 Description: Userland console (TTY) screen reader written in python
  Fenrir is a young but powerful, modular and flexible console screen
  reader. It has a lot of functionality:
  .
- e* spellchecker
+  * spellchecker
   * advanced review functionality
   * copy/paste
   * multiple clipboards

## fenrir 1.06+really1.5.1

=== debian/changelog ===
fenrir (1.06+really1.5.1-3) unstable; urgency=medium

  * patches/namespace: Fix python namespace clash (Closes: Bug#891028)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 21 Feb 2018 21:00:47 +0100

fenrir (1.06+really1.5.1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use pybuild to simplify debian/rules.
  * control: Add python3-evdev dependency for shortcuts.
  * control: Add python3-daemonize >= 2.4.7 dependency.
  * debian/patches/daemonize: Remove patch, now useless.

  [ Paul Gevers ]
  * watch: mangle also Debian part

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Jan 2018 19:46:15 +0100

fenrir (1.06+really1.5.1-1) unstable; urgency=medium

  * New upstream release.
    - control: Build-depend on python3-setuptools
    - rules: Run setup.py
    - install: Remove.
    - fenrir.links: Remove.
    - control: Use ${python3:Depends}
  * watch: Mangle version to make 1.5 greater than 1.06.
  * patches/service: Remove, fixed upstream.
  * patches/systemd: Fix path for systemd service.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 25 Oct 2017 02:28:01 +0200

fenrir (1.06-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Fix typo just in front of "spellchecker" :) (Closes: #859580)
  * patches/service: Fix incoherency between installation script and service
    file.
  * control: Add missing python3-dbus dependency.
  * control: Fix python-speechd recommends into python3-speechd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 Oct 2017 23:14:11 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	sed -i -e '1s_#!/usr/bin/python$$_#!/usr/bin/python3_' $$(find debian -name \*.py)
	sed -i -e '1s_#!/bin/python_#!/usr/bin/python3_' $$(find debian -name \*.py)
	sed -i -e '1s_#!/bin/env python3_#!/usr/bin/python3_' $$(find debian -name \*.py)

=== debian/watch ===
version=3
opts= \
"uversionmangle=s/\.0([1-9])/\.0\.$1/, \
 dversionmangle=s/1.06\+really//" \
https://github.com/chrys87/fenrir/releases .*/v?(\d\S*)\.tar\.gz

## fenrir 1.9.2

=== debian/changelog ===
fenrir (1.9.2-1) unstable; urgency=medium

  * New upstream release.
    - patches/systemd: Drop patch, outdated.
    - patches/availableError: Drop patched, merged upstream
    - patches/share: Drop patched, merged upstream
    - rules: Install service file.
  * control: Bump Standards-Version to 4.1.5 (no changes).
  * watch: Add new upstream pattern.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 19 Jul 2018 02:52:00 +0200

fenrir (1.9-1) unstable; urgency=medium

  * New upstream release
    - control: Make fenrir depend on python3-pyte and recommend xclip.
    - patches/namespace: Remove, fixed upstream.
    - patches/systemd: Refresh.
    - patches/availableError: Fix typo.
    - patches/share: Fix /usr/share patch.
    - rules: Fix /usr/share path for dh_python3.
    - README.Debian: Fix pulseaudio script path.
  * Bump Standards-Version to 4.1.4 (no changes).
  * rules: Install sample settings.conf.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2018 16:56:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,25 @@
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
 Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
-Build-Depends: debhelper (>= 10), dh-python, python3-all:any, dh-exec, python3-setuptools
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 10), dh-python, dh-exec,
+ python3-all:any, python3-setuptools
+Standards-Version: 4.1.5
 
 Package: fenrir
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-xdg, python3-dbus, python3-evdev, python3-daemonize (>= 2.4.7~)
-Recommends: speech-dispatcher, python3-speechd, sox, python3-pyenchant
-Suggests: python3-espeak, python3-brlapi, python3-gi, python3-gst-1.0
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-xdg, python3-dbus,
+ python3-evdev,
+ python3-pyte,
+ python3-daemonize (>= 2.4.7~),
+Recommends:
+ speech-dispatcher, python3-speechd, sox,
+ python3-pyenchant,
+ xclip
+Suggests:
+ python3-espeak,
+ python3-brlapi,
+ python3-gi, python3-gst-1.0
 Description: Userland console (TTY) screen reader written in python
  Fenrir is a young but powerful, modular and flexible console screen
  reader. It has a lot of functionality:

## fenrir 1.9.3

=== debian/changelog ===
fenrir (1.9.3-2) unstable; urgency=medium

  * debian/patches/bogus_version: Drop bogus version variable
    (Closes: Bug#910915).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Oct 2018 23:15:19 +0200

fenrir (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 4.2.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 07 Oct 2018 22:06:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
 Build-Depends: debhelper (>= 10), dh-python, dh-exec,
  python3-all:any, python3-setuptools
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 
 Package: fenrir
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	dh_python3 /usr/share/fenrirscreenreader

override_dh_install:
	dh_install
	dh_install config/settings/settings.conf /etc/fenrirscreenreader/settings
	sed -i -e '1s_#!/usr/bin/python$$_#!/usr/bin/python3_' $$(find debian -name \*.py)
	sed -i -e '1s_#!/bin/python_#!/usr/bin/python3_' $$(find debian -name \*.py)
	sed -i -e '1s_#!/bin/env python3_#!/usr/bin/python3_' $$(find debian -name \*.py)
	dh_install autostart/systemd/Debian/fenrir.service /lib/systemd/system

## fenrir 1.9.5

=== debian/changelog ===
fenrir (1.9.5-2) unstable; urgency=medium

  * control: Fix python3-enchant recommendation.
  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 31 Aug 2019 13:37:48 +0200

fenrir (1.9.5-1) unstable; urgency=medium

  * New upstream release
    - patches/bogus_version: Fixed.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Jul 2019 20:35:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/fenrir.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/fenrir
+Vcs-Git: https://salsa.debian.org/a11y-team/fenrir.git
 Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
 Build-Depends: debhelper (>= 10), dh-python, dh-exec,
  python3-all:any, python3-setuptools
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 
 Package: fenrir
 Architecture: all
@@ -19,7 +19,7 @@
  python3-daemonize (>= 2.4.7~),
 Recommends:
  speech-dispatcher, python3-speechd, sox,
- python3-pyenchant,
+ python3-enchant,
  xclip
 Suggests:
  python3-espeak,

=== debian/watch ===
version=3
opts= \
"uversionmangle=s/\.0([1-9])/\.0\.$1/, \
 dversionmangle=s/1.06\+really//" \
https://github.com/chrys87/fenrir/releases .*/v?(\d\S*)\.tar\.gz
https://github.com/chrys87/fenrir/releases .*/release-?(\d\S*)\.tar\.gz

## fenrir 1.9.8

=== debian/changelog ===
fenrir (1.9.8-1ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:08:05 +0100

fenrir (1.9.8-1) unstable; urgency=medium

  * New upstream release
    - NEWS: Advertise the speech dispatcher configuration change.
    - control: Bump dependencies according to new upstream needs.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Aug 2023 17:40:36 +0200

fenrir (1.9.5-5) unstable; urgency=medium

  [ Shannon ]
  * patches/systemd-path: Fix path to fenrir.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 12 Jan 2023 17:10:47 +0100

fenrir (1.9.5-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use versioned copyright format URI.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + fenrir: Drop versioned constraint on python3-daemonize in Depends.

  [ Samuel Thibault ]
  * watch: Fix watch line to support all of empty, v, tag-, and release- tarball
    prefixes.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:10:04 +0200

fenrir (1.9.5-3) unstable; urgency=medium

  * watch: Generalize pattern.
  * control: Update alioth list domain.
  * Bump debhelper from 10 to 12.
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.
  * watch: Don't use releases any more.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Oct 2022 20:17:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,28 @@
 Source: fenrir
 Section: admin
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/fenrir
 Vcs-Git: https://salsa.debian.org/a11y-team/fenrir.git
 Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
-Build-Depends: debhelper (>= 10), dh-python, dh-exec,
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-exec,
  python3-all:any, python3-setuptools
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 
 Package: fenrir
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends},
  python3-xdg, python3-dbus,
- python3-evdev,
- python3-pyte,
- python3-daemonize (>= 2.4.7~),
+ python3-evdev (>= 1.1.2),
+ python3-daemonize (>= 2.5.0),
+ python3-dbus (>= 1.2.8),
+ python3-pyudev (>= 0.21.0),
+ python3-pexpect,
+ python3-pyte (>= 0.7.0),
 Recommends:
  speech-dispatcher, python3-speechd, sox,
  python3-enchant,
@@ -25,6 +31,7 @@
  python3-espeak,
  python3-brlapi,
  python3-gi, python3-gst-1.0
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Userland console (TTY) screen reader written in python
  Fenrir is a young but powerful, modular and flexible console screen
  reader. It has a lot of functionality:

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3

## fenrir 2024.12.20

=== debian/changelog ===
fenrir (2024.12.20-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#1085575)
    - debian/docs: Update path.
  * control: Update upstream url.
  * watch: Update upstream url.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Jan 2025 02:09:02 +0100

fenrir (1.9.8-2) unstable; urgency=medium

  * clean: Drop generated files (Closes: Bug#1044431)
  * rules: Move fenrir.service to /usr (Closes: Bug#1073702)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 23 Aug 2024 00:31:48 +0200

## fenrir 2025.0.2.26

=== debian/changelog ===
fenrir (2025.0.2.26-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Apr 2025 23:19:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: fenrir
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Vcs-Browser: https://salsa.debian.org/a11y-team/fenrir
 Vcs-Git: https://salsa.debian.org/a11y-team/fenrir.git
-Homepage: https://linux-a11y.org/index.php?page=fenrir-screenreader
+Homepage: https://git.stormux.org/storm/fenrir
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-exec,
  python3-all:any, python3-setuptools
 Rules-Requires-Root: no
@@ -31,7 +30,6 @@
  python3-espeak,
  python3-brlapi,
  python3-gi, python3-gst-1.0
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: Userland console (TTY) screen reader written in python
  Fenrir is a young but powerful, modular and flexible console screen
  reader. It has a lot of functionality:

## fenrir 2025.0.7.16

=== requirements.txt ===
daemonize
dbus-python
evdev
pexpect
pyenchant
pyperclip
pyte
pyudev
pyxdg
setproctitle

=== debian/changelog ===
fenrir (2025.0.7.16-1) unstable; urgency=low

  * New upstream release.
    - control: Make python3-enchant dependency mandatory.
    - control: Add python3-pyperclip, python3-setproctitle, python3-xdg
    Depends.
    - control: Add python3-pexpect Recommends.
  * Update standards version to 4.6.2, no changes needed.
  * upstream/metadata: Add metadata.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Aug 2025 23:55:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, dh-exec,
  python3-all:any, python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 
 Package: fenrir
 Architecture: all
@@ -22,9 +22,13 @@
  python3-pyudev (>= 0.21.0),
  python3-pexpect,
  python3-pyte (>= 0.7.0),
+ python3-enchant,
+ python3-pyperclip,
+ python3-setproctitle,
+ python3-xdg,
 Recommends:
  speech-dispatcher, python3-speechd, sox,
- python3-enchant,
+ python3-pexpect,
  xclip
 Suggests:
  python3-espeak,

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	sed -i -e '1s_#!/usr/bin/python$$_#!/usr/bin/python3_' $$(find debian -name \*.py)
 	sed -i -e '1s_#!/bin/python_#!/usr/bin/python3_' $$(find debian -name \*.py)
 	sed -i -e '1s_#!/bin/env python3_#!/usr/bin/python3_' $$(find debian -name \*.py)
-	dh_install autostart/systemd/Debian/fenrir.service /lib/systemd/system
+	dh_install autostart/systemd/Debian/fenrir.service /usr/lib/systemd/system

=== debian/watch ===
version=3
opts= \
"uversionmangle=s/\.0([1-9])/\.0\.$1/, \
 dversionmangle=s/1.06\+really//" \
https://git.stormux.org/storm/fenrir/tags .*/v?(?:.*-)?@ANY_VERSION@@ARCHIVE_EXT@
